%undefine _hardened_build
%global with_gtkada 0

Name:       gnatcoll
Version:    2014
Release:    10%{?dist}
Summary:    Suite of reusable software components and utilities
Group:      System Environment/Libraries
License:    GPLv2+
URL:        http://libre.adacore.com
## Direct link not available
Source0:    %{name}-gpl-%{version}-src.tar.gz
Patch1:     %{name}-%{version}-directories.patch
Patch2:     %{name}-%{version}-optflags.patch
## Resolve problems with GCC5 and visibility:
Patch3:     gnatcoll-%{version}-visibility.patch
## Don't include main package's sources to gnatcoll_python 
Patch4:     gnatcoll-%{version}-python_source_dirs.patch
BuildRequires:   fedora-gnat-project-common >= 2 
BuildRequires:   python-devel gmp-devel
%if %with_gtkada
BuildRequires: GtkAda3-devel pygtk2-devel
%endif
BuildRequires:   postgresql-devel chrpath
BuildRequires:   gprbuild >= 2014
BuildRequires:   gcc-gnat readline-devel
BuildRequires:   sqlite-devel
# gprbuild only available on these:
ExclusiveArch: %GPRbuild_arches


%description
The GNAT Component Collection is a suite 
of reusable software components and utilities. 
It has been used by AdaCore in developing the GNAT tool set, 
the GPS Integrated Development Environment, and GNAT Tracker, 
its web-based customer support interface.

%package devel
Summary:    Devel package for %{name}
License:    GPLv2+
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}
Requires:   postgresql-devel sqlite-devel

%description devel
%{summary}

%prep
%setup -q -n %{name}-gpl-%{version}-src
%patch1 -p1
%patch2 -p1 
%patch3
%patch4 -p1

%build
%configure --enable-shared --enable-gpl --with-readline --with-sqlite=/usr/include/
## make is randomly failed overwise 
export BUILDS_SHARED="yes"
%if 0%{?fedora} >= 1
export GNAT_OPTFLAGS="%GPRbuild_optflags"
%else
export GNAT_OPTFLAGS="%GNAT_optflags"
%endif
make -j1


%install
rm -rf %{buildroot}
export projectdir=%_GNAT_project_dir
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/%{_libdir}/%{name}/static/*
rm -rf %{buildroot}/%{_datadir}/gps
mkdir -p %{buildroot}/%{_GNAT_project_dir}/
mv %{buildroot}/%{_prefix}/lib/gnat/* %{buildroot}/%{_GNAT_project_dir}/
mv  %{buildroot}/%{_datadir}/examples %{buildroot}/%{_datadir}/%{name}/
%ifarch x86_64
rm -rf %{buildroot}/%{_libdir}/gnat
%endif
chrpath --delete %{buildroot}/%{_libdir}/%{name}/relocatable/*.so.*
chrpath --delete %{buildroot}/%{_bindir}/* 
rm -f %{buildroot}/%{_datadir}/%{name}/dborm.pyc
rm -f %{buildroot}/%{_datadir}/%{name}/dborm.pyo

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{!?_licensedir:%global license %%doc}
%license COPYING3
%doc README
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/relocatable
%{_libdir}/%{name}/relocatable/*.so.1.?w
%{_libdir}/*.so.1.?w
%{_datadir}/%{name}

%files devel
%doc CHANGE*
%doc %{_datadir}/doc/%{name}/
%{_GNAT_project_dir}/%{name}*
%{_includedir}/%{name}
%{_libdir}/%{name}/relocatable/*.ali
%{_libdir}/%{name}/relocatable/*.so
%{_libdir}/%{name}/relocatable/*.so.1
%{_libdir}/*.so.1




%changelog
* Tue Feb 28 2017 Pavel Zhukov <landgraf@fedoraproject.org> - 2014-10
- Disable gtkada

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2014-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Igor Gnatenko <ignatenko@redhat.com> - 2014-8
- Rebuild for readline 7.x

* Mon Aug 08 2016 Björn Persson <Bjorn@Rombobjörn.se> - 2014-7
- Rebuilt to link to GTKada 3.14.2.

* Tue Feb 02 2016 Björn Persson <Bjorn@Rombobjörn.se> - 2014-6
- Rebuilt with GCC 6 prerelease.

* Mon Sep 21 2015 Peter Robinson <pbrobinson@fedoraproject.org> 2014-5
- Rebuild (GtkAda3)
- Add docs to devel
- use %%license

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 01 2015 Pavel Zhukov <landgraf@fedoraproject.org> - 2014-3
- Enable GtkAda support

* Tue May 26 2015 Pavel Zhukov <landgraf@fedoraproject.org> - 2014-2
- New release (2014)
- Disabled Gtkada support
- Depends on gprbuild >= 2014

* Fri May 01 2015 Björn Persson <Bjorn@Rombobjörn.se> - 2013-11
- Patched to build with GCC 5.

* Tue Mar 31 2015 Pavel Zhukov <landgraf@fedoraproject.org> - 2013-10
- Fix library dir

* Sat Oct 11 2014 Pavel Zhukov <landgraf@fedoraproject.org> - 2013-9
- Do not build on arm 

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Peter Robinson <pbrobinson@fedoraproject.org> 2013-6
- Use GNAT_arches rather than an explicit list

* Wed May  7 2014 Pavel Zhukov <landgraf@fedoraproject.org> - 2013-5
- Rebuild with new libgnat

* Wed Nov 20 2013  Pavel Zhukov <landgraf@fedoraproject.org> - 2013-4
- Fix parallel build in rawhide

* Tue Nov 19 2013  Pavel Zhukov <landgraf@fedoraproject.org> - 2013-2
- Add psql and sqlite to devel's requirement

* Sat Nov 02 2013  Pavel Zhukov <landgraf@fedoraproject.org> - 2013-1
- New release 2013 (1.6w)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jan 26 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 2012-7
- Rebuild with new libgmat
- Add gcc-gnat to BR

* Tue Jul 24 2012 Pavel Zhukov <landgraf@fedoraproject.org> - 2012-5
- Delete rpath from libraries
- Add lgpr files to project

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 17 2012 Pavel Zhukov <landgraf@fedoraproject.org> - 2012-3
- Update to 2012
- Fix library type in gpr
- Fix project files path

* Sat Mar 10 2012  Pavel Zhukov <landgraf@fedoraproject.org> - 2011-8
- Rebuild for new gprbuild 

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 08 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-6
- Rebuild for new spm 

* Thu Aug 18 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-5
- Fix gnat_optflags

* Wed Aug 17 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-4
- Initial build
- Remove trailing @ from Makefile
- Add ifarch for rm
- Add ExcludeArch

